Subject: [Sigtran] SUA v16: Use of ANSI "intermediate signaling network identification" (ISNI) parameter

From: "Barry Nagelberg" <[email-masked]>
Date: Thu, 6 May 2004 09:58:47 -0400

I don't see any mention in SUA v16 of how to handle the ANSI SCCP
"intermediate signaling network identification" (ISNI)parameter. This param
is defined in T1.112.3, 3.19.

Any ideas?

Barry Nagelberg

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 May 2004 11:31:37 -0600

Barry,

The parameter is not passed from SCCP to SCCP-User and is therefore
not necessary in SUA.

--brian

Barry Nagelberg wrote:                                                               (Thu, 06 May 2004 09:58:47)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Barry Nagelberg" <[email-masked]>
Date: Thu, 6 May 2004 14:11:44 -0400

Brian,

You are wrong. The ISNI param _is_ passed from SCCP to SCCP-User.

Please refer to Section D.2.4 of GR-246-CORE, Chapter T1.1 12.4:

<snip>
When the destination node receives an SCCP XUDT message containing the ISNI
parameter, the received ISNI parameter carried there is sent up to the SCCP
User as a parameter in the N-UNITDATA indication primitive.
<snip>

So how does SUA plan to carry this information over the IP link? This sounds
like a candidate for the SUA IG.

Barry Nagelberg

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Brian F. G. Bidulock
> Sent: Thursday, May 06, 2004 1:32 PM
> To: Barry Nagelberg
> Cc: SIGTRAN Mailing List
> Subject: Re: [Sigtran] SUA v16: Use of ANSI "intermediate signaling
> network identification" (ISNI) parameter
>
>
> Barry,
>

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 May 2004 13:30:00 -0600

Barry,

The same obscure statement appears in ANSI T1.112.4-2000/D.3.3, however, it
is not listed in T1.112.1-2000/2.2.2 nor Table 8/T1.112.1.

ISNI contrained routing procedures correspond to IP Source Route procedures.
ISNI identification procedures correspond to IP Recode Route procedures.
The usefulness of both are as questionable.

Because SUA relays on IP address ISNI does not apply (but IP options
procedures can be used in their stead if you really think you need this
capability in the SUA network).

We discussed the lack of a need for ISNI procedures in SUA some years ago and
decided they were unnecessary.  I suggest you read T1.112.4/ANNEX D and
compare them to the Source Route and Record Route options in RFC 791.  You are
welcome to pass the IP Record Route options up to your SCCP-User from the
user-side SCTP/IP.  No additional protocol elements are necessary to do this.

--brian

Barry Nagelberg wrote:                                                               (Thu, 06 May 2004 14:11:44)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/